Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class FaultNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.FaultNode

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, Node

    public class FaultNode

extends ExtendedNodeImpl

Default implementation of a fault node.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`FaultNode()`

Method Summary
`String[]` | `getActionTypes()`
`String` | `getFaultName()`
`String` | `getFaultVariable()`
`boolean` | `isTerminateParent()`
`void` | `setFaultName(String faultName)`
`void` | `setFaultVariable(String faultVariable)`
`void` | `setTerminateParent(boolean terminateParent)`
`void` | `validateAddIncomingConnection(String type, Connection connection)`
`void` | `validateAddOutgoingConnection(String type, Connection connection)`
`void` | `validateRemoveOutgoingConnection(String type, Connection connection)`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateRemoveIncomingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultNode

    public FaultNode()

Method Detail

### getFaultVariable

    public String getFaultVariable()

### setFaultVariable

    public void setFaultVariable(String faultVariable)

### getFaultName

    public String getFaultName()

### setFaultName

    public void setFaultName(String faultName)

### isTerminateParent

    public boolean isTerminateParent()

### setTerminateParent

    public void setTerminateParent(boolean terminateParent)

### getActionTypes

    public String[] getActionTypes()

  Overrides:
    `getActionTypes` in class `ExtendedNodeImpl`

### validateAddIncomingConnection

    public void validateAddIncomingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddIncomingConnection` in class `NodeImpl`

### validateAddOutgoingConnection

    public void validateAddOutgoingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddOutgoingConnection` in class `NodeImpl`

### validateRemoveOutgoingConnection

    public void validateRemoveOutgoingConnection(String type,
                                                 Connection connection)

  Overrides:
    `validateRemoveOutgoingConnection` in class `NodeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.